  [Setup]
AppName=TouchCD
AppVerName=TouchCD 0.0.2
OutputBaseFilename=TouchCD-0.0.2
AppVersion=0.0.2
AppPublisher=Fullmeasure
AppPublisherURL=fullmeasure.co.uk
AppSupportURL=fullmeasure.co.uk
AppUpdatesURL=fullmeasure.co.uk
DefaultGroupName=TouchCD
LicenseFile=GPL.txt
DefaultDirName={pf}\TouchCD
Compression=lzma/max

[Tasks]
Name: "desktopicon"; Description: "Create a &desktop icon"; GroupDescription: "Additional icons:";
Name: quicklaunchicon; Description: "Create a &Quick Launch icon"; GroupDescription: "Additional icons:"; MinVersion: 0,5.01; Flags: unchecked

[Files]
; using *.* should copy *this* file too but looks Inno like is clever enough not to include it in the Output folder
Source: "..\dist\*.*"; DestDir: "{app}"; Flags: recursesubdirs ignoreversion
Source: "GPL.txt"; DestDir: "{app}"; Flags: ignoreversion
Source: "ReadMe.htm"; DestDir: "{app}"; Flags: ignoreversion
Source: "Style.css"; DestDir: "{app}"; Flags: ignoreversion

[INI]
Filename: "{app}\TouchCD.url"; Section: "InternetShortcut"; Key: "URL"; String: "fullmeasure.co.uk/TouchCD"
Filename: "{app}\OATS.url"; Section: "InternetShortcut"; Key: "URL"; String: "fullmeasure.co.uk/OATS/OATSIntro.html"

[Icons]
Name: "{group}\TouchCD"; Filename: "{app}\TouchCD"; WorkingDir: "{app}"; Comment: "Launch TouchCD CD Player"
Name: "{userappdata}\Microsoft\Internet Explorer\Quick Launch\TouchCD"; Filename: "{app}\TouchCD.exe"; WorkingDir: "{app}"; Comment: "TouchCD CD Player"; Tasks: quicklaunchicon
Name: "{group}\ReadMe"; Filename: "{app}\ReadMe.htm"; Comment: "View the ReadMe"
Name: "{group}\TouchCD on the Web"; Filename: "{app}\TouchCD.url"; Comment: "Visit the TouchCD website"
Name: "{group}\OATS on the Web"; Filename: "{app}\OATS.url"; Comment: "Visit the OATS Project website"
Name: "{userdesktop}\TouchCD"; Filename: "{app}\TouchCD.exe"; WorkingDir: "{app}"; Comment: "Launch TouchCD CD Player"; Tasks: desktopicon

[Run]
Filename: "{app}\ReadMe.htm"; Description: "View Readme.htm"; Flags: shellexec skipifdoesntexist postinstall skipifsilent
Filename: "{app}\TouchCD.exe"; Description: "Launch TouchCD CD Player"; Flags: shellexec postinstall skipifsilent

