@echo off

rem !!! important instructions
rem
rem To build you will need the following Windows hosted development tools
rem
rem  1: python 2.4 or later. python.org
rem  2: win32all python extensions. python.org
rem  3: pygame package. http://www.pygame.org
rem  4: py2exe setup extension. http://www.py2exe.org/
rem  5: inno setup. www.jrsoftware.org
rem

rem Create Python installer exe
rem Clean up first to force complete rebuild - optional
del /q *.pyc 2> nul:
rd /s/q build 2> nul:
rd /s/q dist 2> nul:
setup.py py2exe
if errorlevel 1 goto error

rem run py2exe created setup
rem dist\simonscdplayer.exe

rem Create Windows Setup Installer
rem May need to edit path
rem for GUI use  "C:\Program Files\Inno Setup 5\compil32" /cc "Installer\PowerTalk.iss"
"C:\Program Files\Inno Setup 5\iscc" "Installer\TouchCD.iss"
if errorlevel 1 goto error

rem run installer
"Installer\Output\TouchCD-0.0.2.exe"

goto OK

:error
echo.
echo Whoops, an error occured
echo.

:ok